%define epoch		0

%define name		klu
%define NAME		KLU
%define version		1.0.1
%define release		%mkrel 7
%define major		%{version}
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Routines for performing sparse LU factorization
Group:		System/Libraries
License:	LGPL
URL:		http://www.cise.ufl.edu/research/sparse/umfpack/
Source0:	http://www.cise.ufl.edu/research/sparse/umfpack/%{NAME}-%{version}.tar.gz
Source1:	http://www.cise.ufl.edu/research/sparse/ufconfig/UFconfig-3.1.0.tar.gz
BuildRequires:	amd-devel >= 2.0.0, colamd-devel >= 2.0.0, btf-devel >= 1.0.0
BuildRequires:	camd-devel >= 2.0.0, ccolamd-devel >= 2.0.0
BuildRequires:	cholmod-devel >= 1.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
KLU is a sparse LU factorization algorithm well-suited for use in
circuit simulation.

%package -n %{libname}
Summary:	Library of routines for performing sparse LU factorization
Group:		System/Libraries
Provides:	%{libname} = %{epoch}:%{version}-%{release}

%description -n %{libname}
KLU is a sparse LU factorization algorithm well-suited for use in
circuit simulation.

This package contains the library needed to run programs dynamically
linked against %{NAME}.

%package -n %{develname}
Summary:	C routines for performing sparse LU factorization
Group:		Development/C
Requires:	suitesparse-common-devel >= 3.0.0
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes: 	%mklibname %name 1 -d
Obsoletes: 	%mklibname %name 1 -d -s

%description -n %{develname}
KLU is a sparse LU factorization algorithm well-suited for use in
circuit simulation.

This package contains the files needed to develop applications which
use %{name}.

%prep
%setup -q -c 
%setup -q -c -a 0 -a 1
%setup -q -D -T -n %{name}-%{version}/%{NAME}

%build
pushd Lib
    %make -f Makefile CC=%__cc CFLAGS="$RPM_OPT_FLAGS -fPIC -I/usr/include/suitesparse" INC=
    %__cc -shared -Wl,-soname,lib%{name}.so.%{major} -o lib%{name}.so.%{version} -lamd -lcolamd -lbtf -lcholmod -lm *.o
popd

%install
%__rm -rf %{buildroot}

%__install -d -m 755 %{buildroot}%{_libdir} 
%__install -d -m 755 %{buildroot}%{_includedir}/suitesparse 

for f in Lib/*.so*; do
    %__install -m 755 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Lib/*.a; do
    %__install -m 644 $f %{buildroot}%{_libdir}/`basename $f`
done
for f in Include/*.h; do
    %__install -m 644 $f %{buildroot}%{_includedir}/suitesparse/`basename $f`
done

%__ln_s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so

%__install -d -m 755 %{buildroot}%{_docdir}/%{name}
%__install -m 644 README.txt Doc/*.txt Doc/*.pdf Doc/ChangeLog %{buildroot}%{_docdir}/%{name}

%clean
%__rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_docdir}/%{name}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-7mdv2009.0
+ Revision: 247779
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 1.0.1-5mdv2008.1
+ Revision: 140617
- Move docs to devel package.
- Don't obsolete old libraries.

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 1.0.1-3mdv2008.1
+ Revision: 140423
- Fix description.

* Wed Jan 02 2008 Lev Givon <lev@mandriva.org> 1.0.1-2mdv2008.1
+ Revision: 140207
- Obsolete old static devel package.

* Tue Jan 01 2008 Lev Givon <lev@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 140143
- import klu


